## org.apache.lucene.spatial.tier
Class LatLongDistanceFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.DistanceFilter
              org.apache.lucene.spatial.tier.LatLongDistanceFilter

All Implemented Interfaces:
  java.io.Serializable

    public class LatLongDistanceFilter

extends DistanceFilter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`distance, distanceLookupCache, distances, nextDocBase, precise, startingFilter`

Constructor Summary
`LatLongDistanceFilter(Filter startingFilter, double lat, double lng, double miles, java.lang.String latField, java.lang.String lngField)` Provide a distance filter based from a center point with a radius in miles.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns true if `o` is equal to this.
`DocIdSet` `getDocIdSet(IndexReader reader)` Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
`int` `hashCode()` Returns a hash code value for this object.

Methods inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`getDistance, getDistances, reset, setDistances`

Methods inherited from class org.apache.lucene.search.Filter
`bits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LatLongDistanceFilter

    public LatLongDistanceFilter(Filter startingFilter,
                                 double lat,
                                 double lng,
                                 double miles,
                                 java.lang.String latField,
                                 java.lang.String lngField)

  Provide a distance filter based from a center point with a radius in miles.

  Parameters:
    `startingFilter` - Filter to start from
    `lat` -
    `lng` -
    `miles` -
    `latField` -
    `lngField` -

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws java.io.IOException

  Description copied from class: `Filter`
  Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

  Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

  Overrides:
    `getDocIdSet` in class `Filter`
  Parameters:
    `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
  Throws:
    `java.io.IOException`
  See Also:
    `DocIdBitSet`

### equals

    public boolean equals(java.lang.Object o)

  Returns true if `o` is equal to this.

  Specified by:
    `equals` in class `DistanceFilter`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Specified by:
    `hashCode` in class `DistanceFilter`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.